sysdefs.h File Reference

Common includes, definitions, system-specific things etc. More...

`#include <stddef.h>`
`#include <limits.h>`
`#include <stdlib.h>`
`#include <assert.h>`
`#include <string.h>`

## Macros

#define | UINT32_C(n) n ## U
#define | UINT32_MAX UINT32_C(4294967295)
#define | PRIu32 "u"
#define | PRIx32 "x"
#define | PRIX32 "X"
#define | UINT64_C(n) n ## UL
#define | PRIu64 "lu"
#define | PRIx64 "lx"
#define | PRIX64 "lX"
#define | UINT64_MAX UINT64_C(18446744073709551615)
#define | bool _Bool
#define | false 0
#define | true 1
#define | __bool_true_false_are_defined 1
#define | memzero(s, n) memset(s, 0, n)
#define | my_min(x, y) ((x) < (y) ? (x) : (y))
#define | my_max(x, y) ((x) > (y) ? (x) : (y))
#define | ARRAY_SIZE(array) (sizeof(array) / sizeof((array)[0]))
#define | lzma_attr_alloc_size(x)

## Typedefs

typedef unsigned char | _Bool

## Detailed Description

Common includes, definitions, system-specific things etc.

This file is used also by the lzma command line tool, that's why this file is separate from common.h.